Skip to main content
POST
/
v1
/
api_keys
/
{id}
/
rotate
Rotate an API key
curl --request POST \
  --url https://api.rootly.com/v1/api_keys/{id}/rotate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "api_keys",
    "attributes": {
      "expires_at": "2023-11-07T05:31:56Z",
      "grace_period_minutes": 30
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/api_keys/{id}/rotate"

payload = { "data": {
"type": "api_keys",
"attributes": {
"expires_at": "2023-11-07T05:31:56Z",
"grace_period_minutes": 30
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'api_keys',
attributes: {expires_at: '2023-11-07T05:31:56Z', grace_period_minutes: 30}
}
})
};

fetch('https://api.rootly.com/v1/api_keys/{id}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "api_keys",
    "attributes": {
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "token": "<string>",
      "description": "<string>",
      "role_id": "<string>",
      "on_call_role_id": "<string>",
      "expires_at": "<string>",
      "last_used_at": "<string>",
      "grace_period_ends_at": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
object
required

Response

API key rotated

data
object
required
included
object[]